#
# spec file for package python-futures
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-futures
Version:        3.0.2
Release:        6.1
Summary:        Backport of the concurrent.futures package from Python 3.2
License:        BSD-2-Clause
Group:          Development/Languages/Python
Url:            http://code.google.com/p/pythonfutures
Source:         http://pypi.python.org/packages/source/f/futures/futures-%{version}.tar.gz
# PATCH-FIX-OPENSUSE fix-testsuite.patch -- fix testsuite expectations
Patch0:         fix-testsuite.patch
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
A Java-style futures package for Python

This package is described in PEP-3148 and is included in Python 3.2.

See the Python documentation for a full description. 

%prep
%setup -q -n futures-%{version}
%patch0 -p1

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
%if 0%{?suse_version} > 1110
python test_futures.py
%endif

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE
%{python_sitelib}/concurrent/
%{python_sitelib}/futures-%{version}-py*.egg-info

%changelog
* Mon Sep 14 2015 ms@suse.com
- Package required in SLE12 due to fate#319400
* Wed Jun  3 2015 mcihar@suse.cz
- Disable tests for SLE 11, the testsuite uses Python 2.7 constructs
* Tue May 19 2015 mcihar@suse.cz
- Enable and fix test suite (fix-testsuite.patch)
* Tue May 19 2015 mcihar@suse.cz
- Update to 3.0.2:
  * Made multiprocessing optional again on implementations other than just Jython
* Tue May  5 2015 benoit.monin@gmx.fr
- update to version 3.0.1:
  * Made Executor.map() non-greedy
- additional changes from version 3.0.0:
  * Dropped Python 2.5 and 3.1 support
  * Removed the deprecated "futures" top level package
  * Applied patch for issue 11777 (Executor.map does not submit
    futures until iter.next() is called)
  * Applied patch for issue 15015 (accessing an non-existing
    attribute)
  * Applied patch for issue 16284 (memory leak)
  * Applied patch for issue 20367 (behavior of
    concurrent.futures.as_completed() for duplicate arguments)
- remove CFLAGS: this is a python only module
- remove futures from package files: not provided anymore
* Fri Feb 27 2015 tbechtold@suse.com
- update to version 2.2.0:
  - Added the set_exception_info() and exception_info() methods to Future
    to enable extraction of tracebacks on Python 2.x
  - Added support for Future.set_exception_info() to ThreadPoolExecutor
* Mon Mar 24 2014 toddrme2178@gmail.com
- Updated to 2.1.6
  - Fixed a problem with files missing from the source distribution
- Updated to 2.1.5
  - Fixed Jython compatibility
  - Added metadata for wheel support
- Updated to 2.1.4
  - Ported the library again from Python 3.2.5 to get the latest bug fixes
* Wed Apr 24 2013 cfarrell@suse.com
- license update: BSD-2-Clause
  See LICENSE file
* Tue Apr  9 2013 speilicke@suse.com
- Initial version
